Vai al contenuto
AchaduDevelopers
API operativaVai al sito web
Cruscotto
Developers/API/webhook_create
Webhook

Crea webhook

Crea una destinazione HTTPS e rivela il segreto una volta.

POST/webhookswebhooks:write

Richiesta

namestring · bodyNome della destinazione.obbligatorio
urlstring · bodyURL HTTPS pubblico.obbligatorio
eventsarray · bodyEventi o *.obbligatorio
activeboolean · bodyAttiva la destinazione.facoltativo

Esempio

curl
curl -X POST 'https://achadu.com/api/v1/webhooks' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "url": "https://example.com/product",
  "events": [
    "offer.created"
  ],
  "active": true
}'

Rispondi

201Risorsa creata
4xxErrore con codice, messaggio e request_id